org.fourthline.cling.support.renderingcontrol

## Class AbstractAudioRenderingControl

- java.lang.Object
- - org.fourthline.cling.support.renderingcontrol.AbstractAudioRenderingControl

- All Implemented Interfaces:
    LastChangeDelegator

      public abstract class AbstractAudioRenderingControl
      extends Object
      implements LastChangeDelegator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected PropertyChangeSupport` | `propertyChangeSupport`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractAudioRenderingControl()`
    `protected` | `AbstractAudioRenderingControl(LastChange lastChange)`
    `protected` | `AbstractAudioRenderingControl(PropertyChangeSupport propertyChangeSupport)`
    `protected` | `AbstractAudioRenderingControl(PropertyChangeSupport propertyChangeSupport, LastChange lastChange)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendCurrentState(LastChange lc, UnsignedIntegerFourBytes instanceId)`
    `protected Channel` | `getChannel(String channelName)`
    `protected abstract Channel[]` | `getCurrentChannels()`
    `static UnsignedIntegerFourBytes` | `getDefaultInstanceID()`
    `LastChange` | `getLastChange()`
    `boolean` | `getLoudness(UnsignedIntegerFourBytes instanceId, String channelName)`
    `abstract boolean` | `getMute(UnsignedIntegerFourBytes instanceId, String channelName)`
    `PropertyChangeSupport` | `getPropertyChangeSupport()`
    `abstract UnsignedIntegerTwoBytes` | `getVolume(UnsignedIntegerFourBytes instanceId, String channelName)`
    `Integer` | `getVolumeDB(UnsignedIntegerFourBytes instanceId, String channelName)`
    `VolumeDBRange` | `getVolumeDBRange(UnsignedIntegerFourBytes instanceId, String channelName)`
    `String` | `listPresets(UnsignedIntegerFourBytes instanceId)`
    `void` | `selectPreset(UnsignedIntegerFourBytes instanceId, String presetName)`
    `void` | `setLoudness(UnsignedIntegerFourBytes instanceId, String channelName, boolean desiredLoudness)`
    `abstract void` | `setMute(UnsignedIntegerFourBytes instanceId, String channelName, boolean desiredMute)`
    `abstract void` | `setVolume(UnsignedIntegerFourBytes instanceId, String channelName, UnsignedIntegerTwoBytes desiredVolume)`
    `void` | `setVolumeDB(UnsignedIntegerFourBytes instanceId, String channelName, Integer desiredVolumeDB)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.fourthline.cling.support.lastchange.LastChangeDelegator

      `getCurrentInstanceIds`

- - ### Field Detail

    - #### propertyChangeSupport

          protected final PropertyChangeSupport propertyChangeSupport

  - ### Constructor Detail

    - #### AbstractAudioRenderingControl

          protected AbstractAudioRenderingControl()

    - #### AbstractAudioRenderingControl

          protected AbstractAudioRenderingControl(LastChange lastChange)

    - #### AbstractAudioRenderingControl

          protected AbstractAudioRenderingControl(PropertyChangeSupport propertyChangeSupport)

    - #### AbstractAudioRenderingControl

          protected AbstractAudioRenderingControl(PropertyChangeSupport propertyChangeSupport,
                                                  LastChange lastChange)

  - ### Method Detail

    - #### getLastChange

          public LastChange getLastChange()

      Specified by:
        `getLastChange` in interface `LastChangeDelegator`

    - #### appendCurrentState

          public void appendCurrentState(LastChange lc,
                                         UnsignedIntegerFourBytes instanceId)
                                  throws Exception

      Specified by:
        `appendCurrentState` in interface `LastChangeDelegator`
      Throws:
        `Exception`

    - #### getPropertyChangeSupport

          public PropertyChangeSupport getPropertyChangeSupport()

    - #### getDefaultInstanceID

          public static UnsignedIntegerFourBytes getDefaultInstanceID()

    - #### listPresets

          public String listPresets(UnsignedIntegerFourBytes instanceId)
                             throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### selectPreset

          public void selectPreset(UnsignedIntegerFourBytes instanceId,
                                   String presetName)
                            throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### getMute

          public abstract boolean getMute(UnsignedIntegerFourBytes instanceId,
                                          String channelName)
                                   throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### setMute

          public abstract void setMute(UnsignedIntegerFourBytes instanceId,
                                       String channelName,
                                       boolean desiredMute)
                                throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### getVolume

          public abstract UnsignedIntegerTwoBytes getVolume(UnsignedIntegerFourBytes instanceId,
                                                            String channelName)
                                                     throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### setVolume

          public abstract void setVolume(UnsignedIntegerFourBytes instanceId,
                                         String channelName,
                                         UnsignedIntegerTwoBytes desiredVolume)
                                  throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### getVolumeDB

          public Integer getVolumeDB(UnsignedIntegerFourBytes instanceId,
                                     String channelName)
                              throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### setVolumeDB

          public void setVolumeDB(UnsignedIntegerFourBytes instanceId,
                                  String channelName,
                                  Integer desiredVolumeDB)
                           throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### getVolumeDBRange

          public VolumeDBRange getVolumeDBRange(UnsignedIntegerFourBytes instanceId,
                                                String channelName)
                                         throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### getLoudness

          public boolean getLoudness(UnsignedIntegerFourBytes instanceId,
                                     String channelName)
                              throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### setLoudness

          public void setLoudness(UnsignedIntegerFourBytes instanceId,
                                  String channelName,
                                  boolean desiredLoudness)
                           throws RenderingControlException

      Throws:
        `RenderingControlException`

    - #### getCurrentChannels

          protected abstract Channel[] getCurrentChannels()

    - #### getChannel

          protected Channel getChannel(String channelName)
                                throws RenderingControlException

      Throws:
        `RenderingControlException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.